# par-stream: Asynchronous Parallel Stream Processing

`par-stream` is an asynchronous parallel stream processing library for Rust.

\[ [crates.io](https://crates.io/crates/par-stream) | [API Docs](https://docs.rs/par-stream/) \]

## Examples

- Ordered parallel processing dataflow ([code](examples/parallel.rs))
- Unordered parallel processing dataflow ([code](examples/parallel_unordered.rs))
- Scatter and gather ([code](examples/scatter_gather.rs))
- Parallel merge-sort ([code](examples/merge_sort.rs))
- Parallel shuffle ([code](examples/shuffle.rs))

Visit the [examples](examples) directory to explore more examples.

## License

MIT License. See [LICENSE](LICENSE.txt) file.
